%define upstream_name    Module-Data
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Introspect context information about modules in @INC
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Path::ScanINC) >= 0.2.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-6.mga6
+ Revision: 1029958
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.7.0-5.mga6
+ Revision: 949278
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 789478
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 746300
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 685421
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 585989
- update to 0.007

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 512956
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 369789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 298672
- adding missing buildrequires:
- imported package perl-Module-Data


* Wed Sep 26 2012 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
